#include<iostream>
#include<vector>
#include"minecraft.h"
using namespace std;
vector<int> portals(int N, int K)
{
    vector<int> ans;
    for(int i = 1; i <= K; i++) ans.push_back(i);
    return ans;
}
std::pair<int, int> minimal_danger(int N, std::vector<std::pair<int, std
::pair<int, int>>> paths, std::vector<int> portals, std::vector<int>
fortresses);
std::pair<int, int> find_end_portal(int L);